<ion-header class="ion-no-border">
    <ion-toolbar>
        <app-searchbar (research)="research($event)" #searchbar></app-searchbar>
        <ion-buttons mode="md" slot="end">
            <ion-back-button icon="exit-outline" color="danger"></ion-back-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content>
    <ion-list *ngIf="!service.waiting; else spinner">
        <ng-template ngFor [ngForOf]="data" let-x>
            <app-buscar-item [name]="x.name" [minPrice]="x.minPrice" [delivery]="x.delivery" [thumbnail]="x.thumbnail"
                [rating]="x.rating" [state]="x.state" (click)="service.onMenu(x)">
            </app-buscar-item>
        </ng-template>

        <ng-template [ngIf]="hasSearched && data.length < 1">
            <ion-item lines="none">
                <ion-label color="medium" class="ion-text-center ion-text-wrap">
                    <h6>No se encontró algúno que coincida con la busqueda proporcionada</h6>
                </ion-label>
            </ion-item>
        </ng-template>

        <!-- Recent Searches -->
        <ng-template [ngIf]="!hasSearched">
            <ion-list-header>
                <ion-label color="medium">
                    <h6 class="ion-font-md">Busquedas Recientes</h6>
                </ion-label>
            </ion-list-header>
            <ion-item button *ngFor="let r of recents" (click)="searchbar.value = r">
                <ion-icon name="time-outline" color="secondary"></ion-icon>
                <ion-label>&nbsp;{{ r }}</ion-label>
            </ion-item>
        </ng-template>

    </ion-list>

    <!-- Loader Spinner -->
    <ng-template #spinner>
        <ion-row class="ion-justify-content-center">
            <ion-col size="auto">
                <br><br>
                <ion-spinner color="secondary"></ion-spinner>
            </ion-col>
        </ion-row>
    </ng-template>
</ion-content>